# mongoc_collection_get_read_concern()

## Synopsis

    const mongoc_read_concern_t *
    mongoc_collection_get_read_concern (const mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

Fetches the default read concern to be used on read operations originating from `collection`.

## Returns

A mongoc_read_concern_t that should not be modified or freed.